ru.bitel.bgbilling.modules.inet.api.common.event

## Class InetDeviceUptimeEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent
    - - ru.bitel.bgbilling.modules.inet.api.common.event.InetDeviceUptimeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetDeviceUptimeEvent
      extends PoolEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetDeviceUptimeEvent()`
    `` | `InetDeviceUptimeEvent(int moduleId, int deviceId, java.lang.String uptime, java.util.Date uptimeTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeviceId()`
    `java.lang.String` | `getUptime()`
    `java.util.Date` | `getUptimeTime()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetDeviceUptimeEvent

          protected InetDeviceUptimeEvent()

    - #### InetDeviceUptimeEvent

          public InetDeviceUptimeEvent(int moduleId,
                                       int deviceId,
                                       java.lang.String uptime,
                                       java.util.Date uptimeTime)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getUptimeTime

          public java.util.Date getUptimeTime()

    - #### getUptime

          public java.lang.String getUptime()